POST api/NTCaseList/PostCaseOutcome
Request Information
URI Parameters
None.
Body Parameters
CaseOutcomeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseNo | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| EmployeeLName | string |
String length: inclusive between 0 and 50 |
|
| EmployeeFName | string |
String length: inclusive between 0 and 50 |
|
| CompanyEmployeeId | string |
String length: inclusive between 0 and 20 |
|
| CompanyName | string |
String length: inclusive between 0 and 60 |
|
| WLCode | string |
String length: inclusive between 0 and 15 |
|
| WLName | string |
String length: inclusive between 0 and 200 |
|
| Status | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| CaseOutcome | integer |
None. |
|
| CloseDate | date |
None. |
|
| RelativeDateTime | string |
String length: inclusive between 0 and 50 |
|
| Totaldays | decimal number |
None. |
|
| CloseDateCheck | date |
None. |
|
| Comment | string |
String length: inclusive between 0 and 1000 |
|
| EncounterId | integer |
None. |
|
| HighestLevelOfCare | string |
String length: inclusive between 0 and 500 |
|
| Workrelatedness | string |
String length: inclusive between 0 and 1000 |
|
| occupationTypeData | integer |
None. |
|
| TotalNoOfEncounter | integer |
None. |
|
| Modality | string |
String length: inclusive between 0 and 1000 |
|
| LevelOfCareEncounterNo | string |
String length: inclusive between 0 and 50 |
|
| NonOccupationalEncounterNo | string |
String length: inclusive between 0 and 50 |
|
| CaseIncidentNonOccupational | integer |
None. |
|
| CaseCreatedDate | date |
None. |
|
| HighestWorkStatus | string |
String length: inclusive between 0 and 500 |
|
| ClinicVisit | string |
String length: inclusive between 0 and 50 |
|
| WorkStatusEncounterNo | string |
String length: inclusive between 0 and 50 |
|
| ClinicVisitEncounter | string |
String length: inclusive between 0 and 50 |
|
| EnrouteTag | string |
String length: inclusive between 0 and 50 |
|
| COSDocumentType | string |
String length: inclusive between 0 and 1000 |
|
| IsAnylogActive | boolean |
None. |
|
| IsAnyLoginUsersActiveCase | boolean |
None. |
|
| ActiveUserId | integer |
None. |
|
| ActiveUserFullName | string |
String length: inclusive between 0 and 100 |
|
| EntityId | integer |
None. |
|
| EccCaseTypeId | integer |
None. |
Request Formats
application/json, text/json
{
"CaseNo": 1,
"EmployeeId": "sample string 2",
"EmployeeLName": "sample string 3",
"EmployeeFName": "sample string 4",
"CompanyEmployeeId": "sample string 5",
"CompanyName": "sample string 6",
"WLCode": "sample string 7",
"WLName": "sample string 8",
"Status": 1,
"CompanyCode": "sample string 9",
"CaseOutcome": 1,
"CloseDate": "2026-08-04T14:26:28.7434047-07:00",
"RelativeDateTime": "sample string 10",
"Totaldays": 11.1,
"CloseDateCheck": "2026-08-04T14:26:28.7434047-07:00",
"Comment": "sample string 12",
"EncounterId": 13,
"HighestLevelOfCare": "sample string 14",
"Workrelatedness": "sample string 15",
"occupationTypeData": 1,
"TotalNoOfEncounter": 1,
"Modality": "sample string 16",
"LevelOfCareEncounterNo": "sample string 17",
"NonOccupationalEncounterNo": "sample string 18",
"CaseIncidentNonOccupational": 1,
"CaseCreatedDate": "2026-08-04T14:26:28.7434047-07:00",
"HighestWorkStatus": "sample string 19",
"ClinicVisit": "sample string 20",
"WorkStatusEncounterNo": "sample string 21",
"ClinicVisitEncounter": "sample string 22",
"EnrouteTag": "sample string 23",
"COSDocumentType": "sample string 24",
"IsAnylogActive": true,
"IsAnyLoginUsersActiveCase": true,
"ActiveUserId": 1,
"ActiveUserFullName": "sample string 26",
"EntityId": 27,
"EccCaseTypeId": 1
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfCaseOutcomeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CaseOutcomeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CaseNo": 1,
"EmployeeId": "sample string 2",
"EmployeeLName": "sample string 3",
"EmployeeFName": "sample string 4",
"CompanyEmployeeId": "sample string 5",
"CompanyName": "sample string 6",
"WLCode": "sample string 7",
"WLName": "sample string 8",
"Status": 1,
"CompanyCode": "sample string 9",
"CaseOutcome": 1,
"CloseDate": "2026-08-04T14:26:28.7590439-07:00",
"RelativeDateTime": "sample string 10",
"Totaldays": 11.1,
"CloseDateCheck": "2026-08-04T14:26:28.7590439-07:00",
"Comment": "sample string 12",
"EncounterId": 13,
"HighestLevelOfCare": "sample string 14",
"Workrelatedness": "sample string 15",
"occupationTypeData": 1,
"TotalNoOfEncounter": 1,
"Modality": "sample string 16",
"LevelOfCareEncounterNo": "sample string 17",
"NonOccupationalEncounterNo": "sample string 18",
"CaseIncidentNonOccupational": 1,
"CaseCreatedDate": "2026-08-04T14:26:28.7590439-07:00",
"HighestWorkStatus": "sample string 19",
"ClinicVisit": "sample string 20",
"WorkStatusEncounterNo": "sample string 21",
"ClinicVisitEncounter": "sample string 22",
"EnrouteTag": "sample string 23",
"COSDocumentType": "sample string 24",
"IsAnylogActive": true,
"IsAnyLoginUsersActiveCase": true,
"ActiveUserId": 1,
"ActiveUserFullName": "sample string 26",
"EntityId": 27,
"EccCaseTypeId": 1
},
"totalCount": 3
}